Bug 60068 - Standalone ethernet drivers and ctrl-C in RedBoot
Standalone ethernet drivers and ctrl-C in RedBoot
Status: CLOSED WONTFIX
Product: eCos
Classification: Retired
Component: Ethernet drivers (Show other bugs)
CVS
All Linux
medium Severity medium
: ---
: ---
Assigned To: eCos bugs internal list
eCos bugs internal list
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-19 12:54 EST by Mark Salter
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 12:13:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Salter 2002-02-19 12:54:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21smp i686)

Description of problem:
Ctrl-C does not work for GNUpro apps using RedBoot when ethernet drivers install
ISRs.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Build GNUPro app with infinite loop to run on board with RedBoot
2. Download and run using ethernet channel
3. Try interrupting with ctrl-C or "Stop" button.
	

Actual Results:  Nothing

Expected Results:  Program should be interrupted and GDB should take control.

Additional info:
Comment 1 Alex Schuilenburg 2003-06-20 12:13:08 EDT
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=60068

Note You need to log in before you can comment on or make changes to this bug.